#!/usr/bin/perl
###############################################################################
#
#	AC1-Texte
#
#	23.08.2018	by Volker Pohlers created
#
###############################################################################

use strict;
use Fcntl ":seek";

# $ARGV[0] = 'd:\hobby3\ac1\edas\DISKT_15_Q_6000_89D8_4003.bin';

die <<"help" unless @ARGV;
decodiert EDAS-Quelltexte nach ASCII
help


open IN, $ARGV[0];
binmode IN;
seek IN, 5, SEEK_CUR;	# Header berspringen

(my $OUT = $ARGV[0]) =~ s/\..*$/.txt/;
open OUT, ">$OUT";

$/="\0";
while (not eof(IN)) {
	read (IN,$_,2); # Zeilennummer
	my $line = <IN>;
	chomp $line;
	#$line =~ s/\x01/ /g;
	#$line =~ s/\x03/\t/g;
	#$line =~ s/\x04/\t/g;
	#$line =~ s/([\x00-\x1F])/sprintf("<%.2x>",ord($1))/ge;
	$line =~ s/([\x00-\x1F])/' 'x ord($1)/ge;
	print OUT $line, "\n";
}
 
close IN;
close OUT;

#########################################
# 
#########################################
__END__


Aufbau
byte 0,1	Lnge
byte 2,3
00	
2 byte Zeilennummer	text,00
Leerzeichen sind komprimiert als 0x01..0x1f
